AutoCAD.RotatedDimension

Inherits from AutoCAD.Dimension

Description

A class that encapsulates a rotated dimension in a DWG file.

This class is a FlexScript wrapper for the AcDbRotatedDimension class.

Properties

dimLinePoint Gets/sets the definition point (in WCS coordinates) that specifies where the dimension line will be (that is, this point will be somewhere on the dimension line).
oblique Gets/sets the extension line obliquing angle (in radians) for the dimension.
rotation Gets/sets the dimension's rotation angle in radians.
xLine1Point Gets/sets the definition point (in WCS coordinates) that's used as the start point for the first extension line of the dimension.
xLine2Point Gets/sets the definition point (in WCS coordinates) that's used as the start point for the second extension line of the dimension.

Static Methods

create Creates a new AutoCAD.RotatedDimension object.

Details

Do no remove, this fixes the anchor on doc.flexsim.com

AutoCAD.RotatedDimension.dimLinePoint

Vec3 dimLinePoint

Description

Gets/sets the definition point (in WCS coordinates) that specifies where the dimension line will be (that is, this point will be somewhere on the dimension line).

Do no remove, this fixes the anchor on doc.flexsim.com

AutoCAD.RotatedDimension.oblique

double oblique

Description

Gets/sets the extension line obliquing angle (in radians) for the dimension.

This angle is relative to the AcDbRotatedDimension::rotation() value. Positive angles are counterclockwise when looking down the dimension's OCS Z axis towards the origin.
Do no remove, this fixes the anchor on doc.flexsim.com

AutoCAD.RotatedDimension.rotation

double rotation

Description

Gets/sets the dimension's rotation angle in radians.

The rotation angle is the angle between the dimension's OCS X axis and the axis of the distance being dimensioned. Positive angles are counterclockwise when looking down the OCS positive Z axis towards the origin.
Do no remove, this fixes the anchor on doc.flexsim.com

AutoCAD.RotatedDimension.xLine1Point

Vec3 xLine1Point

Description

Gets/sets the definition point (in WCS coordinates) that's used as the start point for the first extension line of the dimension.

Do no remove, this fixes the anchor on doc.flexsim.com

AutoCAD.RotatedDimension.xLine2Point

Vec3 xLine2Point

Description

Gets/sets the definition point (in WCS coordinates) that's used as the start point for the second extension line of the dimension.

Do no remove, this fixes the anchor on doc.flexsim.com

AutoCAD.RotatedDimension.create()

static AutoCAD.RotatedDimension create( )

Returns

AutoCAD.RotatedDimension A new AutoCAD.RotatedDimension object.

Description

Creates a new AutoCAD.RotatedDimension object.


				var rotatedDimension = AutoCAD.RotatedDimension.create();